# Spec file taken from upstream, thanks. -AdamW 2007/06

%define svn	0
%define rel	12
%if %svn
%define	release		%mkrel 0.%{svn}.%{rel}
%define distname	%{name}-%{svn}.tar.xz
%define distdir		%{name}
%else
%define release		%mkrel %{rel}
%define distname	%{name}-%{version}.tar.gz
%define distdir		%{name}-%{version}
%endif

Name:		mediatomb
Summary:	UPnP AV MediaServer 
Version:	0.12.1
Release:	%{release}
License:	GPLv2
Group:		Networking/Remote access
Source0:	http://downloads.sourceforge.net/mediatomb/%{distname}
Source1:	mediatomb.logrotate
# Adds parallel init info to init.d script - AdamW 2007/06
Patch0:		mediatomb-0.11.0-initinfo.patch
Patch1:		mediatomb-0.12.1-gcc46.patch
Patch2:		libav_0.7_support.patch
Patch3:		mediatomb-0.12.1-mozjs185.patch
Patch4:		mediatomb-0.12.1.tonewjs.patch
Patch5:		mediatomb-0.12.1-jsparse.patch
Patch6:		mediatomb-0.12.1-gcc47.patch
Patch7:		mediatomb-0.12.1-libmp4v2.patch
Patch8:		mediatomb-0.12.1-automake-1.13.patch
URL:		http://mediatomb.cc
BuildRequires:	sqlite3-devel
BuildRequires:	libmagic-devel
BuildRequires:	js-devel
BuildRequires:	libid3-devel
BuildRequires:	taglib-devel
BuildRequires:	libexif-devel
BuildRequires:	curl-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	ffmpegthumbnailer-devel
BuildRequires:	expat-devel
BuildRequires:	libmp4v2-devel
BuildRequires:	file

%description
MediaTomb - UPnP AV Mediaserver for Linux.

%prep 
%setup -q -n %{distdir}
%patch0 -p1 -b .init
%patch1 -p1 -b .gcc46
%patch2 -p1 -b .ffmpeg
%patch3 -p1 -b .mozjs185
%patch4 -p1 -b .tonewjs
%patch5 -p1 -b .jsparse
%patch6 -p1 -b .gcc47
%patch7 -p1 -b .mp4
%patch8 -p1 -b .automake-1_13

%build
autoreconf -vfi
%configure2_5x \
	--enable-taglib \
	--enable-libjs \
	--with-js-h=%{_includedir}/js \
	--enable-external-transcoding \
	--enable-protocolinfo-extension

%make

%install
rm -rf %{buildroot}

install -D -m 0755 scripts/mediatomb-service-fedora %{buildroot}%{_initrddir}/%{name}
install -D -m 0755 config/mediatomb-conf-fedora %{buildroot}%{_sysconfdir}/%{name}.conf

%makeinstall_std

mkdir -p %{buildroot}%{_logdir}
touch %{buildroot}%{_logdir}/%{name}
install -D -m 644 %{SOURCE1} %{buildroot}/etc/logrotate.d/%{name}

%clean
rm -rf %{buildroot}

%pre
# Create a user
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/false

%post
%_post_service %{name}

# Create initial log file so that logrotate doesn't complain
if [ $1 = 1 ]; then
   %create_ghostfile %{_logdir}/%{name} root root 644
fi

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%defattr(-,root,root)
%doc README README.UTF_8 AUTHORS ChangeLog INSTALL doc/doxygen.conf
%doc doc/scripting.txt doc/scripting_utf8.txt
%{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_initrddir}/%{name}
%defattr(-,%{name},%{name})
%config(noreplace) %{_sysconfdir}/%{name}.conf
%ghost %{_logdir}/%{name}




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.12.1-12.mga4
+ Revision: 529662
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.12.1-11.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sat Jan 12 2013 umeabot <umeabot> 0.12.1-11.mga3
+ Revision: 359903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.12.1-10.mga3
+ Revision: 341681
- rebuild for new ffmpeg

* Sun Dec 30 2012 cjw <cjw> 0.12.1-9.mga3
+ Revision: 336334
- patch8: fix build with automake 1.13

* Wed Dec 26 2012 pterjan <pterjan> 0.12.1-8.mga3
+ Revision: 335479
- Better fix for new rpm

* Wed Dec 26 2012 pterjan <pterjan> 0.12.1-7.mga3
+ Revision: 335409
- Workaround new rpm limitation

* Sun Sep 16 2012 blino <blino> 0.12.1-6.mga3
+ Revision: 294279
- fix crash with latest ffmpeg by properly initializing AVFormatContext (based on a patch from Joseph Wang, #6647)

* Wed Sep 12 2012 fwang <fwang> 0.12.1-5.mga3
+ Revision: 292557
- add some gentoo patches to build with latest toolchain

* Fri Jun 01 2012 fwang <fwang> 0.12.1-4.mga3
+ Revision: 252820
- fix type
- more ffmpeg 0.11 patch

* Mon Dec 26 2011 wally <wally> 0.12.1-4.mga2
+ Revision: 187818
- add P3, P4 and P5 to fix build with new mozjs185
  o P4 and P5 from Fedora

  + fwang <fwang>
    - rebuild for new js

  + blino <blino>
    - add Default-Stop LSB header in initscript
    - buildrequire ffmpegthumbnailer-devel
    - replace broken (segfault) ffmpeg patch with libav/gcc4.6 patchset from Ubuntu

* Sat Jun 25 2011 fwang <fwang> 0.12.1-2.mga2
+ Revision: 113423
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Mon Feb 21 2011 dmorgan <dmorgan> 0.12.1-1.mga1
+ Revision: 55226
- imported package mediatomb


* Thu Nov 11 2010 Christiaan Welvaart <spturtle@mandriva.org> 0.12.1-1mdv2011.0
+ Revision: 595933
- 0.12.1

* Sun Feb 07 2010 Funda Wang <fwang@mandriva.org> 0.12.0-0.2068.1mdv2010.1
+ Revision: 501582
- new snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Oct 21 2008 Adam Williamson <awilliamson@mandriva.org> 0.12.0-0.1905.1mdv2009.1
+ Revision: 296292
- adjust spec for building from svn
- explicitly enable some configure options for ps3 support
- bump to svn for improved ps3 support

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Sun Mar 02 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.0-1mdv2008.1
+ Revision: 177601
- add a few buildrequires
- new release 0.11.0
- drop ip_address.patch (no longer relevant) and config.patch (merged upstream)
- rediff initinfo.patch
- minor spec clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Adam Williamson <awilliamson@mandriva.org> 0.10.0-1mdv2008.0
+ Revision: 60077
- apply Fedora license policy (specify GPLv2)
- add patch2 to fix IP address check for non-English locales (thanks Erwan)
- new release 0.10.0

* Wed Jul 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 47790
- Import mediatomb

